<?php
	session_start();
	include "inc_common.php";
	$evo_imap_port   = 143;
	$evo_imap_server = "127.0.0.1";
	$loggedIn        = 0;
	$selbox          = "INBOX";


	if($loggedIn == 0 && isset($_REQUEST['_user']) && isset($_REQUEST['_pass'])) {
		$passwd    = $_REQUEST['_pass'];
		$logonUser = $_REQUEST['_user'];
		$items     = explode("@",$_REQUEST['_user']);
		if(count($items) == 2)
			$logonDomain = trim(strtolower($items[1]));
		$boxdesc     = "{" . $evo_imap_server . ":" . $evo_imap_port . "/imap4rev1/notls}" . $selbox;
		if(($mbox = @imap_open($boxdesc,$logonUser,$passwd)) != false) { // authenticate by IMAP4
			imap_close($mbox);
			$loggedIn = 1;
			$_SESSION['loggedIn'] = 1;
			$_SESSION['username'] = $logonUser;
			$_SESSION['logonDomain'] = $logonDomain;
			header("Location: index.php");
		}
	}


?><!DOCTYPE html>
<html>
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title><?php echo $toolns . " " . $ver; ?></title>
<?php echo $jqInc; ?>
</head>
<script type="text/javascript">
	var logonUser = '';
	var logonDomain = '';
	var sessionID = "<?php p(session_id()) ?>";
	var showAlertMessage = null;
	var changeToPage = null;
<?php
	$adminLevel      = 0; // 0: no, 1: admin group
	$editFullSet     = 0; // edit self in full
	$evoPrimarydomain= "localhost";
	$logonDepartment = "";
	$logonDomain     = "";

	if(isset($_SESSION['loggedIn']) && $_SESSION['loggedIn'] == 1)
	{
		$loggedIn = $_SESSION['loggedIn'];
		echo '	logonUser = "' . $_SESSION['username'] . "\";\n";
		echo '	logonDomain = "' . $_SESSION['logonDomain'] . "\";\n";
	}

	function printLogoutButton() {
		global $res_000100;
		echo "<button type='button' data-theme='a' data-icon='minus' data-inline='true' onClick='javascript:logOutUser();'>" . $res_000100 . "</button>";
	}

	function prnt_frndly_bool($b) {
		global $res_000046,$res_000047;
		if($b)
			echo $res_000046;
		else
			echo $res_000047;
	}

	// proc. login and password
	if($loggedIn == 0 && isset($_REQUEST['_user']) && isset($_REQUEST['_pass'])) {
		$passwd    = $_REQUEST['_pass'];
		$logonUser = $_REQUEST['_user'];
		$items     = explode("@",$_REQUEST['_user']);
		if(count($items) == 2)
		{
		//	$logonUser   = trim(strtolower($items[0]));
			$logonDomain = trim(strtolower($items[1]));
		}
		$boxdesc     = "{" . $evo_imap_server . ":" . $evo_imap_port . "/imap4rev1/notls}" . $selbox;
		if(($mbox = @imap_open($boxdesc,$logonUser,$passwd)) != false);
		else
			echo '	showAlertMessage = "' . $res_000001 . "\";\n";
	}
	else if($loggedIn == 1 && isset($_REQUEST['transaction']) && $_REQUEST['transaction'] == 'logout') {
		$loggedIn = 0;
		session_unset();
		session_destroy();
	}
	if($loggedIn == 1) {
		if(isset($_SESSION['showAlertMessage']) && $_SESSION['showAlertMessage'] != "") {
			echo "	showAlertMessage = '" . addslashes($_SESSION['showAlertMessage']) . "';\n";
			unset($_SESSION['showAlertMessage']);
		}
?>
	function ajaxSubmission(displayDiv,encJson) {
		$.ajax({
			type: "POST",
			url: "ajax_handler.php",
			dataType: "html",
			success: function (msg) {
			if(msg) {
				var jParse = JSON.parse(msg);
				if(jParse) {
					if(jParse.code == 'success') {
						if(displayDiv == null)
							alert(jParse.msg);
						else
							$(displayDiv).text(jParse.msg);
						}
					else {
						if(displayDiv == null)
							alert(jParse.code + ": " + jParse.msg);
						else
							$(displayDiv).text(jParse.code + ": " + jParse.msg);
						}
				}
			}
			else {
				if(displayDiv == null)
					alert("Unknown error: 0x80FACC5C");
				else
					$(displayDiv).text("Unknown error: 0x80FACC5C");
				}
	  		},
			error:function (msg) {
				if(displayDiv == null)
					alert("Unknown error: 0x80FACC5D");
				else
	  				$(displayDiv).text("Unknown error: 0x80FACC5D");
	  		},
		data: 'data='+encJson
		});
	}

	function submitStatus(statusCode) {
		var now = Date.now().toString();
		var thing = {
			p_command: 'STATUS_UPDATE',
			t_username: logonUser,
			t_domain: logonDomain,
			n_status: statusCode,
			n_timestamp: now
		};
		ajaxSubmission("#statusExecutionResult",JSON.stringify(thing,null));
	}

	function gpsSuccess(posi) {
		var now = Date.now().toString();
		var thing = {
			p_command: 'GPS_UPDATE',
			t_username: logonUser,
			t_domain: logonDomain,
			n_latitude: posi.coords.latitude,
			n_longitude: posi.coords.longitude,
			n_timestamp: now
		};
		ajaxSubmission("#gpsExecutionResult",JSON.stringify(thing,null));
	}

	function gpsError(error) {
		switch(error.code)
		{
		case error.PERMISSION_DENIED:
			alert("User denied the request for Geolocation.");
			break;
		case error.POSITION_UNAVAILABLE:
			alert("Location information is unavailable.");
			break;
		case error.TIMEOUT:
			alert("The request to get user location timed out.");
			break;
		case error.UNKNOWN_ERROR:
			alert("An unknown error occurred.");
			break;
		}
	}

	function submitLocation() {
		if(navigator.geolocation) {
			navigator.geolocation.getCurrentPosition(gpsSuccess,gpsError);
		}
		else
			alert('not supported');
	}

	function logOutUser()	{
		document.frmUser.transaction.value = "logout";
		document.frmUser.submit();
	}

	function mapLink(myAddress) {
		window.open('http://maps.google.com/maps?q=' + myAddress);
	}

	function changeUploadOpt(ob)
	{
		if(ob.value == '4') {
			$("#bUpload").text("<?php p($res_000009); ?>");
			$("#bbsTitle").show();
			$("#filesel").hide();
		}
		else {
			$("#fileTitle").value = "";
			$("#bbsTitle").hide();
			$("#filesel").show();
		}
	}

	function uploadFile() {
		$("#pIDFile").toggle();
		$("#pIDFolder").toggle();
		if($("#bUpload").text() == "<?php p($res_000009); ?>")
			$("#bUpload").text("<?php p($res_000010); ?>");
		else
			$("#bUpload").text("<?php p($res_000009); ?>");
		$("#bUpload").button('refresh');
	}

	$(document).bind('mobileinit',function() {
	});

	$(document).bind('pageinit',function() {
	});
<?php } ?>
	$(document).ready(function() { // DOM is ready
		if(showAlertMessage)
			alert(showAlertMessage);
		if(changeToPage)
			$.mobile.changePage(changeToPage,{ transition: "slideup" });
	});
</script>
<body>
<?php if($loggedIn == 0) { ?>
<div data-role="page" id="login">
  <div data-role="header" data-position="fixed">
  	<h3><?php p($toolns); ?></h3>
  </div>
  <div data-role="content">
    <form id="formLoginPage" method="post" action="index.php" data-ajax="false">
      <div data-role="fieldcontain">
        <label for="_user"><?php p($res_000048); ?></label>
        <input type="email" id="_user" name="_user" value="" data-mini="true" required/>
      </div>
      <div data-role="fieldcontain">
        <label for="_pass"><?php p($res_000049); ?></label>
        <input type="password" id="_pass" name="_pass" value="" data-mini="true" required/>
      </div>
      <input type="submit" value="<?php p($res_000050); ?>" data-theme="b"/>
    </form>
  </div>
</div>
<?php
} else { // initialization goes here, reads info.ini
	$userIniArray = array();

	if(!file_exists($evoPathUser))
		return format_error_result("NO_USER_INI","No such user in (" . $evoPathUser . ") " . $product .".");
	$contents = file($evoPathUser,FILE_IGNORE_NEW_LINES | FILE_SKIP_EMPTY_LINES);
	if(count($contents) > 0) {
		for($x = 0;$x < count($contents);$x++)
		{
			$contents[$x] = trim($contents[$x]);
			$items = explode("=",$contents[$x]);
			if(count($items) == 2) {
				if(substr($items[0],0,1) != '#')
				{
	   			$value = str_replace("\\r","\r",$items[1]);
		   		$value = str_replace("\\n","\n",$value);
		   		$value = str_replace("%3D","=",$value);
					$userIniArray[$items[0]] = $value;
				}
			}
			else if(count($items) > 2) {
					$newval = str_replace($items[0] . "=","",$contents[$x]);
	   			$value = str_replace("\\r","\r",$newval);
		   		$value = str_replace("\\n","\n",$value);
					$userIniArray[$items[0]] = $value;				
			}
		}
	}
	if($userIniArray["DOMAIN"] != "" && $_SESSION['logonDomain'] != "")
	{
		$tmp1 = strtolower($userIniArray["DOMAIN"]);
		$tmp2 = strtolower($_SESSION['logonDomain']);
		if(strcmp($tmp1,$tmp2) != 0)
			return format_error_result("ACCOUNT_DOMAIN_INCORRECT","$tmp1 $tmp2 User account's domain name is different from logged on user.");
	}
	$logonDomain = $userIniArray["DOMAIN"];
	$_SESSION['logonDomain'] = $logonDomain; // maybe empty
	$logonDepartment = $userIniArray["DEPARTMENT"];
	$_SESSION['logonDepartment'] = $logonDepartment;
	$logonDomain = $userIniArray["DOMAIN"];
	if($userIniArray["ACCOUNTENABLED"] == 0)
		return format_error_result("ACCOUNT_NOT_ENABLED","User account is disabled.");
	if($evoPrimarydomain == "localhost")
	{
		foreach(file($evoPathCfg,FILE_IGNORE_NEW_LINES) as $line) {
			$ares = evoB2Parts("=",$line);
			if(count($ares) == 2)
			{
				$a = $ares[0];
				$b = $ares[1];
			}
			if($a == "SMTP_PRIMARY_DOMAIN") {
				$evoPrimarydomain = trim($b);
				break;
			}
		}
	}
	if($userIniArray["GROUP"] == "ADMINISTRATOR") {
		$adminLevel = 1;
		$editFullSet = 1;
	}
	ksort($userIniArray);
	$SQL = "SELECT * FROM user_status WHERE t_username LIKE '" . fixI($_SESSION['username']) . "' LIMIT 0,1;";
	$result = mysqli_query($link,$SQL);
	if($result) {
		$num = mysqli_num_rows($result);
		if($num > 0) {
			$a = @mysqli_fetch_assoc($result);
			foreach($a as $k2 => $v2) {
				$userSqlArray[$k2] = $v2;
			}
		}
	}
	// pageid: setup, update
	if($loggedIn == 1 && (isset($_REQUEST['page']) && $_REQUEST['page'] == 'setup') && (isset($_REQUEST['action']) && $_REQUEST['action'] == 'save')) {
		// formModifyUserIni submitted
		$showOnce = 1;
		if($_POST) {
			 $iniChanged = 0;
		   foreach ($_POST as $key => $value) {
		   		$value = stripslashes(htmlspecialchars_decode($value));
		   		$value = trim(strip_tags($value));
		   		$value = str_replace("\\r","\r",$value);
		   		$value = str_replace("\\n","\n",$value);
		   		$value = str_replace("%3D","=",$value);
		   		if(isset($userIniArray[$key]) && $value != $userIniArray[$key]) {
		   			$userIniArray[$key] = $value;
		   			$iniChanged = 1;
		   		}
		   		if($iniChanged == 1)
		   		{
		   			$iniContent = "# THIS FILE IS STORED IN UTF8 NO BOM\n";
			   		foreach ($userIniArray as $key => $value) {
			   			if($key != "") {
			   				if($key == "CC_TO") {
			   					$tmp_emails_new = array();
			   					$tmp_emails = explode(",",$value);
			   					foreach ($tmp_emails as $tmp_email) {
			   						$tmp_email = trim($tmp_email);
			   						if(is_email($tmp_email))
			   							array_push($tmp_emails_new,$tmp_email);
			   					}
			   					$value = implode(",",$tmp_emails_new);
			   					$userIniArray[$key] = $value;
			   				}
					   		$value = str_replace("\r","\\r",$value);
					   		$value = str_replace("\n","\\n",$value);
					   		if($key != "PASSWORDSHADOW")
					   			$value = str_replace("=","%3D",$value);
			   				$iniContent = $iniContent . $key . "=" . trim($value) . "\r\n";
			   			}
			   		}
			   		if($showOnce == 1) {
			   			$showOnce = 0;
				     	if(file_put_contents($evoPathUser, $iniContent,LOCK_EX) == FALSE)
				     		echo "<script>\nshowAlertMessage = '$res_000002';\nchangeToPage = '#setup';\n</script>\n";
				     	else
				     		echo "<script>\nshowAlertMessage = '$res_000003';\nchangeToPage = '#setup';\n</script>\n";
			     	}
			     	else
			     		file_put_contents($evoPathUser, $iniContent,LOCK_EX);
		    	}
		   }
		 }
	}
?>
<div data-role="page" id="home">
  <div data-role="header" data-position="fixed">
		<?php printLogoutButton(); ?><h1><?php p($toolns); ?></h1>
  </div>
	<div data-role="content">
		<ul data-role="listview">
		  <li data-role="list-divider" data-theme="d"><?php p($res_000051); ?></li>
		  <li>
		    <h3><?php p($res_000052); ?></h3>
		    <p><?php echo $_SESSION['username']; ?></p>
		  </li>
		  <li>
		    <h3><?php p($res_000053); ?></h3>
		    <p><?php echo $userIniArray["DOMAIN"]; ?></p>
		  </li>
		  <li>
		    <h3><?php p($res_000054); ?></h3>
		    <p><?php echo $userIniArray["FULLNAME"]; ?></p>
		  </li>
		  <li>
		    <h3><?php p($res_000055); ?></h3>
		    <p><?php echo $userIniArray["DEPARTMENT"]; ?></p>
		  </li>
		  <li>
		    <h3><?php p($res_000056); ?></h3>
		    <p><?php echo $userIniArray["TELNO"]; ?></p>
		  </li>
		  <li>
		    <h3><?php p($res_000057); ?></h3>
		    <p><?php echo $userIniArray["PASSWORD_LAST_UPDATED_ON"]; ?></p>
		  </li>
		  <li data-role="list-divider" data-theme="d"><?php p($res_000058); ?></li>
		  <li>
		    <h3><?php p($res_000059); ?></h3>
		    <p><?php echo $userIniArray["SMTP_LAST_ACCESSED_FROM"] . " " . $userIniArray["SMTP_LAST_SEEN_ON"]; ?></p>
		  </li>
		  <li>
		    <h3><?php p($res_000060); ?></h3>
		    <p><?php echo $userIniArray["POP3_LAST_ACCESSED_FROM"] . " " . $userIniArray["POP3_LAST_SEEN_ON"]; ?></p>
		  </li>
		  <li>
		    <h3><?php p($res_000061); ?></h3>
		    <p><?php echo $userIniArray["IMAP_LAST_ACCESSED_FROM"] . " " . $userIniArray["IMAP_LAST_SEEN_ON"]; ?></p>
		  </li>
		  <li>
		    <h3><?php p($res_000062); ?></h3>
		    <p><?php echo $userIniArray["PASSWORD_LAST_UPDATED_ON"]; ?></p>
		  </li>
		  <li data-role="list-divider" data-theme="d"><?php p($res_000063); ?></li>
		  <li>
		    <h3><?php p($res_000064); ?></h3>
		    <p>
		      <?php prnt_frndly_bool($userIniArray["SMTPENABLED"]); ?>
		    </p>
		  </li>
		  <li>
		    <h3><?php p($res_000065); ?></h3>
		    <p><?php prnt_frndly_bool($userIniArray["POP3ENABLED"]); ?></p>
		  </li>
		  <li>
		    <h3><?php p($res_000066 ); ?></h3>
		    <p><?php prnt_frndly_bool($userIniArray["IMAPENABLED"]); ?></p>
		  </li>
		</ul>
	  <form name="frmUser" method="post" action="index.php">
	    <input type="hidden" name="transaction" value=""/>
	  </form>
	</div>
  <div data-role="footer" data-position="fixed" data-id="main-foot">
    <div data-role="navbar">
       <ul>
          <li><a href="#home" data-icon="home" class="ui-btn-active ui-state-persist"><?php p($res_000004); ?></a></li>
          <li><a href="#setup" data-icon="gear"><?php p($res_000005); ?></a></li>
          <li><a href="#abook" data-icon="grid"><?php p($res_000006); ?></a></li>
          <li><a href="#files" data-icon="file"><?php p($res_000008); ?></a></li>
          <li><a href="#about" data-icon="info"><?php p($res_000007); ?></a></li>
       </ul>
    </div>
  </div>
</div>
<div data-role="page" id="setup">
<script>
$('#setup').on('pageinit',function(event) {
	$(".pClsDesc").hide();
	$("#cbShowDesc").bind("click",function() { $(".pClsDesc").toggle(); });
});
</script>
  <div data-role="header" data-position="fixed">
		<?php printLogoutButton(); ?><h1><?php p($toolns); ?></h1>
  </div>
	<div data-role="content">
	  <form id="formModifyUserIni" name="formModifyUserIni" method="post" action="index.php">
	  	<input type="hidden" name="action" value="save">
	  	<input type="hidden" name="page" value="setup">
	    <ul data-role="listview">
	      <li data-role="fieldcontain">
	        <label for="cbShowDesc"><?php p($res_000067); ?></label>
	        <input type="checkbox" id="cbShowDesc">
	      </li>
	      <li data-role="fieldcontain">
	        <label for="USER_STATUS"><?php p($res_000068); ?></label>
	        <select name="USER_STATUS" id="USER_STATUS" onChange="javascript:submitStatus(this.value);">
	          <option value="0"<?php if(isset($userSqlArray) && $userSqlArray["n_status"] == 0) echo " selected" ?>><?php p($res_000069); ?></option>
	          <option value="1"<?php if(isset($userSqlArray) && $userSqlArray["n_status"] == 1) echo " selected" ?>><?php p($res_000070); ?></option>
	          <option value="2"<?php if(isset($userSqlArray) && $userSqlArray["n_status"] == 2) echo " selected" ?>><?php p($res_000071); ?></option>
	          <option value="3"<?php if(isset($userSqlArray) && $userSqlArray["n_status"] == 3) echo " selected" ?>><?php p($res_000072); ?></option>
	          <option value="4"<?php if(isset($userSqlArray) && $userSqlArray["n_status"] == 4) echo " selected" ?>><?php p($res_000073); ?></option>
	          <option value="5"<?php if(isset($userSqlArray) && $userSqlArray["n_status"] == 5) echo " selected" ?>><?php p($res_000074); ?></option>
	          <option value="6"<?php if(isset($userSqlArray) && $userSqlArray["n_status"] == 6) echo " selected" ?>><?php p($res_000075); ?></option>
	        </select>
	        <p class="redText" id="statusExecutionResult">
<?php
if(isset($userSqlArray['t_timestamp'])) {
	p("Updated on " . (time() - intval($userSqlArray['t_timestamp']/1000)) . " seconds ago");
}
?>
	        </p>
	      </li>
	      <li data-role="fieldcontain">
	        <label for="butGps"><?php p($res_000076); ?></label>
	        <button name="butGps" id="butGps" type="button" data-theme="b" onClick="javascript:submitLocation();"><?php p($res_000077); ?></button>
	        <p class="redText" id="gpsExecutionResult"></p>
	      </li>
<?php
	foreach($settingSwitches as $ikey => $ival) {
		if(isset($userIniArray[$ikey]) == false)
			$userIniArray[$ikey] = "";
		if($ival[1] == "TEXT") {
			if($editFullSet == 1 && $ival[0] == "ADM" || $ival[0] == "STD") {
				echo "
					<li data-role=\"fieldcontain\">
						<label for=\"$ikey\">" . $ival[2]  . ":</label>
						<input type=\"" . $ival[4]  . "\" name=\"$ikey\" maxlength=\"" . $ival[5]  . "\" id=\"$ikey\" value=\"" . htmlspecialchars($userIniArray[$ikey]) . "\" placeholder=\"" . $ival[3] . "\"/>
						<p class=\"pClsDesc\"><br>" . $ival[3] . "</p>
					</li>";
			}
		}
		else if($ival[1] == "TEXTAREA") {
			if($editFullSet == 1 && $ival[0] == "ADM" || $ival[0] == "STD") {
				echo "
					<li data-role=\"fieldcontain\">
						<label for=\"$ikey\">" . $ival[2]  . ":</label>
						<textarea name=\"$ikey\" id=\"$ikey\" maxlength=\"" . $ival[4]  . "\">" . htmlspecialchars($userIniArray[$ikey]) . "</textarea>
						<p class=\"pClsDesc\"><br>" . $ival[3] . "</p>
					</li>";
			}
		}
		else if($ival[1] == "YESNO") {
			if($editFullSet == 1 && $ival[0] == "ADM" || $ival[0] == "STD") {
				$no1 = $res_000047;
				$no2 = $res_000046;
				$sel1 = "";
				$sel2 = "";
				if(isset($ival[4]))
					$no1 =  $ival[4];
				if(isset($ival[5]))
					$no2 =  $ival[5];
				if($userIniArray[$ikey] == "0")
					$sel1 = " selected";
				else
					$sel2 = " selected";
				echo "
					<li data-role=\"fieldcontain\">
						<label for=\"$ikey\">" . $ival[2] . ":</label>
						<select name=\"$ikey\" id=\"$ikey\" data-role=\"slider\">
							<option value=\"0\"$sel1>$no1</option>
							<option value=\"1\"$sel2>$no2</option>
						</select>
						<p class=\"pClsDesc\"><br>" . $ival[3] . "</p>
					</li>";
			}
		}
	}
?>
		<li data-role="fieldcontain">
			<fieldset data-role="controlgroup" data-type="horizontal">
				<legend><?php p($res_000078); ?></legend>
				<input type="radio" name="IMAPCOMPMODE" id="radio-choice-c" value="STANDARD" <?php if($userIniArray["IMAPCOMPMODE"] == "STANDARD") echo " checked='checked'" ?>/>
				<label for="radio-choice-c"><?php p($res_000079); ?></label>
				<input type="radio" name="IMAPCOMPMODE" id="radio-choice-d" value="MODE1" <?php if($userIniArray["IMAPCOMPMODE"] == "MODE1") echo " checked='checked'" ?>/>
				<label for="radio-choice-d"><?php p($res_000080); ?></label>
				<input type="radio" name="IMAPCOMPMODE" id="radio-choice-e" value="MODE2" <?php if($userIniArray["IMAPCOMPMODE"] == "MODE2") echo " checked='checked'" ?>/>
				<label for="radio-choice-e"><?php p($res_000099); ?></label>
			</fieldset>
			<p class="pClsDesc"><?php p($res_000081); ?></p>
		</li>
		<li data-role="fieldcontain">
			<label for="applyChanges"><?php p($res_000082); ?></label>
			<button type="button" data-theme="b" id="applyChanges" onClick="javascript:document.formModifyUserIni.submit();"><?php p($res_000083); ?></button>
		</li>
	    </ul>
	  </form>
	</div>
  <div data-role="footer" data-position="fixed" data-id="main-foot">
    <div data-role="navbar">
       <ul>
          <li><a href="#home" data-icon="home"><?php p($res_000004); ?></a></li>
          <li><a href="#setup" data-icon="gear" class="ui-btn-active ui-state-persist"><?php p($res_000005); ?></a></li>
          <li><a href="#abook" data-icon="grid"><?php p($res_000006); ?></a></li>
          <li><a href="#files" data-icon="file"><?php p($res_000008); ?></a></li>
          <li><a href="#about" data-icon="info"><?php p($res_000007); ?></a></li>
       </ul>
    </div>
  </div>
</div>
<div data-role="page" id="abook">
  <div data-role="header" data-position="fixed">
		<?php printLogoutButton(); ?><h1><?php p($toolns); ?></h1>
  </div>
  <div data-role="content">
    <ul data-role="listview" data-filter="true">
    	<li data-role="list-divider" data-theme="d"><?php p($res_000084); ?></li>
<?php
		$userIniTemp = array();
		$userIniArrs = array();
		$logonCardDAVlimit = $userIniArray["CARDDAV_ACCESS_RANGE"];
		$userRootDir = $evoPathName . "\\HOSTS\\DEFAULT\\USERS";
		if(file_exists($userRootDir)) {
			/*
			$exempt = array('.','..','postmaster');
			$handle = opendir($userRootDir);
			while(($resource = readdir($handle)) != false) {
				if(!in_array(strtolower($resource),$exempt)) {
					$uini = $userRootDir . "\\" . $resource . "\\info.ini";
					if(file_exists($uini))
						$userIniArrs[$resource] = $uini;
				}
			}
			closedir($handle);
			*/
			ksort($evoAllUsersMap,SORT_STRING);
			foreach($evoAllUsersMap as $resource => $uini) {
					$today = @date("Ymd");
						$cardUri  = $resource;
						foreach(file($uini,FILE_IGNORE_NEW_LINES) as $line) {
							$ares = evoB2Parts("=",$line);
							if(count($ares) == 2)
							{
								$a = $ares[0];
								$b = $ares[1];
							}
							else
								continue;
							$userIniTemp[trim($a)] = trim($b);
						}
						$userIniTemp["DOMAIN"] = strtolower($userIniTemp["DOMAIN"]);
						$ByPass = 0;
						if($logonCardDAVlimit == "ALL")
							$ByPass = 0;
						else if($logonCardDAVlimit == "DOMAIN" || $logonCardDAVlimit == "")
						{
							if($logonDomain != "" && $logonDomain != $userIniTemp["DOMAIN"])
								$ByPass = 1;
						}
						else if($logonCardDAVlimit == "DEPARTMENT")
						{
							if($logonDomain != "" && $logonDomain != $userIniTemp["DOMAIN"])
								$ByPass = 1;
							else if($logonDepartment != "" && $logonDepartment != $userIniTemp['DEPARTMENT'])
								$ByPass = 1;
						}
						else if($logonCardDAVlimit == "NONE")
							$ByPass = 1;
						if($userIniTemp["DOMAIN"] != "")
							$email = $resource . "@" . $userIniTemp["DOMAIN"];
						else
							$email = $resource . "@" . $evoPrimarydomain;
						if($userIniTemp["INCLUDE_IN_ADDRESSBOOK_ENABLED"] == "0")
							$ByPass = 1;
						if($ByPass == 0)
						{
							$titleDesc = "";
							if(isset($userIniTemp['TITLE']) && $userIniTemp['TITLE'] != "")
								$titleDesc = $userIniTemp['TITLE'];
							if(isset($userIniTemp['DEPARTMENT']) && $userIniTemp['DEPARTMENT'] != "")
								$titleDesc = $titleDesc . " " . $userIniTemp['DEPARTMENT'];
							echo "    	<li><a href='userCard.php?reqCardName=$resource' title='$email'><h3>" . " " . $userIniTemp['FULLNAME'] . "</h3>";
							echo "<p>$titleDesc</p></a></li>\n";
						}
				}
		}
		unset($userIniTemp);
		$userCards = $evoPathCard; // global
		if(file_exists($userCards) && $logonCardDAVlimit != "NONE") {
			$exempt = array('.','..');
			$handle = opendir($userCards);
			$lopcount = 0;
			while(($resource = readdir($handle)) != false) {
				if(!in_array(strtolower($resource),$exempt)) {
					if($lopcount == 0)
						echo "			<li data-role='list-divider' data-theme='d'>$res_000085</li>\n";
					$lopcount++;
					$uini    = $userCards . "\\" . $resource;
					$email   = "";
					$xdomain = ""; // reset to empty
					if(file_exists($uini)) {
						$cardUri  = $resource;
						$cardContent = file($uini,FILE_IGNORE_NEW_LINES);
						foreach($cardContent as $line) {
							$ares = evoB2Parts(":",$line);
							if(count($ares) == 2)
							{
								$a = $ares[0];
								$b = $ares[1];
							}
							$comps = explode(";",$a);
							$a0 = $comps[0];
							if($a0 == "EMAIL")
								$email = $b;
							if($a0 == "ADR")
								$userIniTemp['ADDRESS'] = $b;
							if($a0 == "NOTE")
								$userIniTemp['NOTE'] = $b;
							if($a == "FN")
								$userIniTemp['FULLNAME'] = $b;
							if($a == "TITLE")
								$userIniTemp['TITLE'] = $b;
							if($a == "TEL;WORK;VOICE")
								$userIniTemp['TELNO'] = $b;
							if($a == "TEL;CELL;VOICE")
								$userIniTemp['CELLPHONE'] = $b;
							if($a == "TEL;WORK;FAX:")
								$userIniTemp['FAX'] = $b;
							if($a == "URL;WORK")
								$userIniTemp['URL'] = $b;
							if($a == "ORG")
								$userIniTemp['DEPARTMENT'] = $b;
							if($a == "X-EVO-RESTRICT-DOMAIN")
								$xdomain = strtolower($b);
						}
						if($email != "" && ($xdomain == "" || $userIniArray["DOMAIN"] == $xdomain))
						{
							$titleDesc = "";
							if(isset($userIniTemp['TITLE']) && $userIniTemp['TITLE'] != "")
								$titleDesc = $userIniTemp['TITLE'];
							if(isset($userIniTemp['DEPARTMENT']) && $userIniTemp['DEPARTMENT'] != "")
								$titleDesc = $titleDesc . " " . $userIniTemp['DEPARTMENT'];
							echo "    	<li><a href='userCard.php?reqCardName=$resource&folder=shared' title='$email'><h3>" . $userIniTemp['FULLNAME'] . "</h3>";
							echo "<p>$titleDesc</p></a></li>\n";
						}
					}
				}
			}
			closedir($handle);
		}
?>
  	</ul>
  </div>
  <div data-role="footer" data-position="fixed" data-id="main-foot">
    <div data-role="navbar">
       <ul>
          <li><a href="#home" data-icon="home"><?php p($res_000004); ?></a></li>
          <li><a href="#setup" data-icon="gear"><?php p($res_000005); ?></a></li>
          <li><a href="#abook" data-icon="grid" class="ui-btn-active ui-state-persist"><?php p($res_000006); ?></a></li>
          <li><a href="#files" data-icon="file"><?php p($res_000008); ?></a></li>
          <li><a href="#about" data-icon="info"><?php p($res_000007); ?></a></li>
       </ul>
    </div>
  </div>
</div>
<div data-role="page" id="files">
<script>
$('#files').on('pageinit',function(event) {
	$("#pIDFile").hide();
	$("#bbsTitle").hide();
});
</script>
  <div data-role="header" data-position="fixed">
		<?php printLogoutButton(); ?><h1><?php p($toolns); ?></h1><button onClick="javascript:uploadFile();" id="bUpload" data-theme="b"  data-icon="plus"><?php p($res_000037); ?></button>
  </div>
  <div data-role="content">
  	<form action="fileBaseUpload.php" method="post"  id="formUploadFile" name="formUploadFile"  enctype='multipart/form-data'>
	  	<input type="hidden" name="action" value="upload">
	  	<input type="hidden" name="page" value="files">
	  	<ul data-role="listview" id="pIDFile">
		    	<li data-role="list-divider" data-theme="d"><?php p($res_000086); ?></li>
			<li data-role="fieldcontain">
				<label for="selFolder"><?php p($res_000087); ?></label>
				<select name="selFolder" id="selFolder" onChange="javascript:changeUploadOpt(this);">
					<option value="1" selected><?php p($res_000088); ?></option>
					<option value="2"><?php p($res_000089); ?></option>
					<option value="3"><?php p($res_000090); ?></option>
					<option value="0"><?php p($res_000091); ?></option>
					<option value="4"><?php p($folderType[4]); ?></option>
				</select>
			</li>
			<li id="filesel" data-role="fieldcontain">
				<label for="fileSelector"><?php p($res_000092); ?></label>
				<input id="fileSelector" name="fileSelector" type="file" />
			</li>
			<li id="bbsTitle" data-role="fieldcontain">
				<label for="fileTitle"><?php p($res_000110); ?></label>
				<input type="text" name="fileTitle" id="fileTitle" maxlength=255 value="" />
			</li>
			<li data-role="fieldcontain">
				<label for="fileDesc"><?php p($res_000093); ?></label>
				<textarea name="fileDesc" id="fileDesc" maxlength=4096></textarea>
			</li>
			<li data-role="fieldcontain">
				<label for="upFile"><?php p($res_000094); ?></label>
				<button type="button" data-theme="b" id="upFile" onClick="javascript:document.formUploadFile.submit();"><?php p($res_000009); ?></button>
			</li>
	  	</ul>
		<ul data-role="listview" id="pIDFolder">
<?php
	$fileCount1 = 0;
	$fileCount2 = 0;
	$fileCount3 = 0;
	$fileCount0 = 0;
	$fileCount4 = 0;
	$SQL = "SELECT count(rid) FROM files WHERE (ownerId LIKE '" . $_SESSION['username'] . "' AND ownerMode=1 AND rootRid IS NULL);";
	$result = mysqli_query($link,$SQL);
	if($result) {
		$tmp = mysqli_fetch_row($result);
		$fileCount1 = $tmp[0];
	}
	// counting orphans
	$SQL = "SELECT rootRid,count(rid) FROM files WHERE (ownerId LIKE '" . $_SESSION['username'] . "' AND ownerMode=1 AND rootRid IS NOT NULL) GROUP BY rootRid;";
	$result = mysqli_query($link,$SQL);
	if($result) {
		if(($num = mysqli_num_rows($result)) > 0) {
			for($i=0;$i<$num;$i++) {
				$b1 = @mysqli_fetch_assoc($result);
				$SQL2 = "SELECT * FROM files WHERE (rid = " . $b1['rootRid'] . ");";
				$result2 = mysqli_query($link,$SQL2);
				if($result2 && mysqli_num_rows($result2) == 0)
					$fileCount1 = $fileCount1 + 1;
			}
		}
	}

	$SQL = "SELECT count(rid) FROM files WHERE (ownerDept LIKE '" . $_SESSION['logonDepartment'] . "' AND ownerMode=2 AND rootRid IS NULL);";
	$result = mysqli_query($link,$SQL);
	if($result) {
		$tmp = mysqli_fetch_row($result);
		$fileCount2 = $tmp[0];
	}
	// counting orphans
	$SQL = "SELECT rootRid,count(rid) FROM files WHERE (ownerDept LIKE '" . $_SESSION['logonDepartment'] . "' AND ownerMode=2 AND rootRid IS NOT NULL) GROUP BY rootRid;";
	$result = mysqli_query($link,$SQL);
	if($result) {
		if(($num = mysqli_num_rows($result)) > 0) {
			for($i=0;$i<$num;$i++) {
				$b1 = @mysqli_fetch_assoc($result);
				$SQL2 = "SELECT * FROM files WHERE (rid = " . $b1['rootRid'] . ");";
				$result2 = mysqli_query($link,$SQL2);
				if($result2 && mysqli_num_rows($result2) == 0)
					$fileCount2 = $fileCount2 + 1;
			}
		}
	}

	$SQL = "SELECT count(rid) FROM files WHERE (ownerDomain LIKE '" . $_SESSION['logonDomain'] . "' AND ownerMode=3 AND rootRid IS NULL);";
	$result = mysqli_query($link,$SQL);
	if($result) {
		$tmp = mysqli_fetch_row($result);
		$fileCount3 = $tmp[0];
	}
	// counting orphans
	$SQL = "SELECT rootRid,count(rid) FROM files WHERE (ownerDomain LIKE '" . $_SESSION['logonDomain'] . "' AND ownerMode=3 AND rootRid IS NOT NULL) GROUP BY rootRid;";
	$result = mysqli_query($link,$SQL);
	if($result) {
		if(($num = mysqli_num_rows($result)) > 0) {
			for($i=0;$i<$num;$i++) {
				$b1 = @mysqli_fetch_assoc($result);
				$SQL2 = "SELECT * FROM files WHERE (rid = " . $b1['rootRid'] . ");";
				$result2 = mysqli_query($link,$SQL2);
				if($result2 && mysqli_num_rows($result2) == 0)
					$fileCount3 = $fileCount3 + 1;
			}
		}
	}

	$SQL = "SELECT count(rid) FROM files WHERE (ownerMode=0 AND rootRid IS NULL);";
	$result = mysqli_query($link,$SQL);
	if($result) {
		$tmp = mysqli_fetch_row($result);
		$fileCount0 = $tmp[0];
	}
	// counting orphans
	$SQL = "SELECT rootRid,count(rid) FROM files WHERE (ownerMode=0 AND rootRid IS NOT NULL) GROUP BY rootRid;";
	$result = mysqli_query($link,$SQL);
	if($result) {
		if(($num = mysqli_num_rows($result)) > 0) {
			for($i=0;$i<$num;$i++) {
				$b1 = @mysqli_fetch_assoc($result);
				$SQL2 = "SELECT * FROM files WHERE (rid = " . $b1['rootRid'] . ");";
				$result2 = mysqli_query($link,$SQL2);
				if($result2 && mysqli_num_rows($result2) == 0)
					$fileCount0 = $fileCount0 + 1;
			}
		}
	}

	$SQL = "SELECT count(rid) FROM files WHERE (ownerMode=4 AND rootRid IS NULL);";
	$result = mysqli_query($link,$SQL);
	if($result) {
		$tmp = mysqli_fetch_row($result);
		$fileCount4 = $tmp[0];
	}
	// counting orphans
	$SQL = "SELECT rootRid,count(rid) FROM files WHERE (ownerMode=4 AND rootRid IS NOT NULL) GROUP BY rootRid;";
	$result = mysqli_query($link,$SQL);
	if($result) {
		if(($num = mysqli_num_rows($result)) > 0) {
			for($i=0;$i<$num;$i++) {
				$b1 = @mysqli_fetch_assoc($result);
				$SQL2 = "SELECT * FROM files WHERE (rid = " . $b1['rootRid'] . ");";
				$result2 = mysqli_query($link,$SQL2);
				if($result2 && mysqli_num_rows($result2) == 0)
					$fileCount4 = $fileCount4 + 1;
			}
		}
	}
?>
			<li data-role="list-divider" data-theme="d"><?php p($res_000095); ?></li>
			<li><a href="fileBase.php?ownerMode=4"><?php p($folderType[4]); ?></a><span class="ui-li-count"><?php p($fileCount4); ?></span></li>
			<li><a href="fileBase.php?ownerMode=1"><?php p($folderType[1]); ?></a><span class="ui-li-count"><?php p($fileCount1); ?></span></li>
			<li><a href="fileBase.php?ownerMode=2"><?php p($folderType[2]); ?></a><span class="ui-li-count"><?php p($fileCount2); ?></span></li>
			<li><a href="fileBase.php?ownerMode=3"><?php p($folderType[3]); ?></a><span class="ui-li-count"><?php p($fileCount3); ?></span></li>
			<li><a href="fileBase.php?ownerMode=0"><?php p($folderType[0]); ?></a><span class="ui-li-count"><?php p($fileCount0); ?></span></li>
		</ul>
  	</form>
  </div>
  <div data-role="footer" data-position="fixed" data-id="main-foot">
    <div data-role="navbar">
       <ul>
          <li><a href="#home" data-icon="home"><?php p($res_000004); ?></a></li>
          <li><a href="#setup" data-icon="gear"><?php p($res_000005); ?></a></li>
          <li><a href="#abook" data-icon="grid"><?php p($res_000006); ?></a></li>
          <li><a href="#files" data-icon="file" class="ui-btn-active ui-state-persist"><?php p($res_000008); ?></a></li>
          <li><a href="#about" data-icon="info"><?php p($res_000007); ?></a></li>
       </ul>
    </div>
  </div>
</div>
<div data-role="page" id="about">
<script>
$('#about').on('pageinit',function(event) {
	$("#tidBrowser").text(navigator.userAgent);
	$("#tidOS").text(navigator.platform);
});
</script>
	<div data-role="header" data-position="fixed"> <?php printLogoutButton(); ?><h1><?php p($toolns); ?></h1>
	</div>
	<div data-role="content">
	  <div data-role="collapsible-set" data-mini="true">
	    <div data-role="collapsible" data-theme="b" data-content-theme="c" data-collapsed="false">
	      <h3><?php p($res_000096); ?></h3>
	      <ul data-role="listview" data-inset="true">
	        <li>
	          <h3><?php p($res_000097); ?></h3>
	          <p id="tidBrowser"></p>
	        </li>
	        <li>
	          <h3><?php p($res_000101); ?></h3>
	          <p id="tidOS"></p>
	        </li>
	        <li>
	          <h3><?php p($res_000098); ?></h3>
	          <p><?php echo $_SERVER["REMOTE_ADDR"]; ?></p>
	        </li>
	      </ul>
	    </div>
	  </div>
	</div>
	<div data-role="footer" data-position="fixed" data-id="main-foot">
	  <div data-role="navbar">
	    <ul>
	      <li><a href="#home" data-icon="home"><?php p($res_000004); ?></a></li>
	      <li><a href="#setup" data-icon="gear"><?php p($res_000005); ?></a></li>
	      <li><a href="#abook" data-icon="grid"><?php p($res_000006); ?></a></li>
	      <li><a href="#files" data-icon="file"><?php p($res_000008); ?></a></li>
	      <li><a href="#about" data-icon="info" class="ui-btn-active ui-state-persist"><?php p($res_000007); ?></a></li>
	    </ul>
	  </div>
	</div>
</div>
<?php } ?>
</body>
</html>