<?php
session_start();
include "inc_common.php";
?><!DOCTYPE html>
<html>
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title><?php echo $toolns . " " . $ver; ?></title>
<? p($jqInc ); ?>
</head>
<script type="text/javascript">
var logonUser = '';
var logonDomain = '';
var showAlertMessage = null;
<?php
$evoProduct      = "EVO Mail Server";
$evoPrimarydomain= "localhost";
$loggedIn        = 0;
$logonDomain     = "";
$logonDepartment = "";
$adminLevel      = 0; // 0: no, 1: admin group

if(isset($_SESSION['loggedIn']) && $_SESSION['loggedIn'] == 1)
{
	$loggedIn = $_SESSION['loggedIn'];
	echo 'logonUser = "' . $_SESSION['username'] . "\";\n";
	echo 'logonDomain = "' . $_SESSION['logonDomain'] . "\";\n";
}
?>
<?php if($loggedIn == 1) { ?>

function mapLink(myAddress) {
  window.open('http://maps.google.com/maps?q=' + myAddress);
}

$(document).bind('mobileinit',function() {
});

$(document).bind('pageinit',function() {
});
<?php } ?>
$(document).ready(function() { // DOM is ready
	if(showAlertMessage)
		alert(showAlertMessage);
});
</script>
<body>
<?php if($loggedIn == 0) { ?>
<div data-role="page">
  <div data-role="header" data-position="fixed">
  	<h3><? p($res_000020); ?></h3>
  </div>
  <div data-role="content">
  	<p><? p($res_000021); ?></p>
  </div>
</div>
<?php
} else { // initialization goes here, reads info.ini
	$userIniArray = array();
	if(!file_exists($evoPathUser))
		return format_error_result("NO_USER_INI","No such user in (" . $evoPathUser . ") " . $evoProduct .".");
	$contents = file($evoPathUser,FILE_IGNORE_NEW_LINES | FILE_SKIP_EMPTY_LINES);
	if(count($contents) > 0) {
		for($x = 0;$x < count($contents);$x++)
		{
			$contents[$x] = trim($contents[$x]);
			$items = explode("=",$contents[$x]);
			if(count($items) == 2) {
				if(substr($items[0],0,1) != '#')
				{
					$value = str_replace("\\r","\r",$items[1]);
					$value = str_replace("\\n","\n",$value);
					$value = str_replace("%3D","=",$value);
					$userIniArray[$items[0]] = $value;
				}
			}
		}
	}
	if($userIniArray["DOMAIN"] != "" && $_SESSION['logonDomain'] != "")
	{
		$tmp1 = strtolower($userIniArray["DOMAIN"]);
		$tmp2 = strtolower($_SESSION['logonDomain']);
		if(strcmp($tmp1,$tmp2) != 0)
			return format_error_result("ACCOUNT_DOMAIN_INCORRECT","$tmp1 $tmp2 User account's domain name is different from logged on user.");
	}
	$logonDepartment = $userIniArray["DEPARTMENT"];
	$logonDomain = $userIniArray["DOMAIN"];
	if($userIniArray["ACCOUNTENABLED"] == 0)
		return format_error_result("ACCOUNT_NOT_ENABLED","User account is disabled.");
	if($evoPrimarydomain == "localhost")
	{
		foreach(file($evoPathCfg,FILE_IGNORE_NEW_LINES) as $line) {
			$ares = evoB2Parts("=",$line);
			if(count($ares) == 2)
			{
				$a = $ares[0];
				$b = $ares[1];
			}			
			if($a == "SMTP_PRIMARY_DOMAIN") {
				$evoPrimarydomain = trim($b);
				break;
			}
		}
	}
	if($userIniArray["GROUP"] == "ADMINISTRATOR") {
		$adminLevel = 1;
	}
	ksort($userIniArray);
?>
<div data-role="page" id="abook" data-add-back-btn="true">
<?php
	$access_card = "addressbook";
	if(isset($_REQUEST["reqCardName"]) == false)
		die("no reqCardName");
	if(EVO_UTL_is_dangerous_input($_REQUEST["reqCardName"]) == true)
		die("no reqCardName");
	if(isset($_REQUEST["folder"]) && $_REQUEST["folder"] == "shared")
		$access_card = "shared";
?>
  <div data-role="header" data-position="fixed" data-add-back-btn="true">
		<h3><?php p($_REQUEST["reqCardName"]); ?></h3>
  </div>
  <div data-role="content">
    <ul data-role="listview">
<?php
	$userIniTemp = array();
	$logonCardDAVlimit = $userIniArray["CARDDAV_ACCESS_RANGE"];
	if($access_card == "addressbook") {
		$resource = trim($_REQUEST['reqCardName']);
		$today = @date("Ymd");
		if(isset($evoAllUsersMap[$resource]))
			$uini = $evoAllUsersMap[$resource];
		if(file_exists($uini)) {
			$cardUri  = $resource;
			foreach(file($uini,FILE_IGNORE_NEW_LINES) as $line) {
				$ares = evoB2Parts("=",$line);
				if(count($ares) == 2)
				{
					$a = $ares[0];
					$b = $ares[1];
				}				
				$userIniTemp[trim($a)] = trim($b);
			}
			$ByPass = 0;
			if($logonCardDAVlimit == "ALL")
				$ByPass = 0;
			else if($logonCardDAVlimit == "DOMAIN" || $logonCardDAVlimit == "")
			{
				if($logonDomain != "" && $logonDomain != $userIniTemp["DOMAIN"])
					$ByPass = 1;
			}
			else if($logonCardDAVlimit == "DEPARTMENT")
			{
				if($logonDomain != "" && $logonDomain != $userIniTemp["DOMAIN"])
					$ByPass = 1;
				else if($logonDepartment != "" && $logonDepartment != $userIniTemp['DEPARTMENT'])
					$ByPass = 1;
			}
			else if($logonCardDAVlimit == "NONE")
				$ByPass = 1;
			
			$resource0 = $resource;
			$items = explode("@",$resource);
			if(count($items) == 2)
				$resource0   = $items[0];				
						
				
			if($userIniTemp["DOMAIN"] != "")
				$email = $resource0 . "@" . $userIniTemp["DOMAIN"];
			else
				$email = $resource0 . "@" . $evoPrimarydomain;
			if($userIniTemp["INCLUDE_IN_ADDRESSBOOK_ENABLED"] == "0")
				$ByPass = 1;
			if($ByPass == 0) {
				$titleDesc = "";
				if(isset($userIniTemp['TITLE']) && $userIniTemp['TITLE'] != "")
					$titleDesc = $userIniTemp['TITLE'];
				if(isset($userIniTemp['DEPARTMENT']) && $userIniTemp['DEPARTMENT'] != "")
					$titleDesc = $titleDesc . " " . $userIniTemp['DEPARTMENT'];
				if(isset($tStatus))
					unset($tStatus);
				if(isset($tLocation))
					unset($tLocation);
				$SQL = "SELECT * FROM user_status WHERE t_username LIKE '$resource' LIMIT 0,1;";
				$result = mysqli_query($link,$SQL);
				if($result) {
					if(($num = mysqli_num_rows($result)) > 0) {
						$b0 = @mysqli_fetch_assoc($result);
						$secahead = " (" . (time() - intval($b0['t_timestamp']/1000)) . $res_000031 . ")";
						$tStatus = $statusMapper[$b0['n_status']] . $secahead;
					}
				}
				$SQL = "SELECT * FROM location_records WHERE t_username LIKE '$resource' ORDER BY rid DESC LIMIT 0,1;";
				$result = mysqli_query($link,$SQL);
				if($result) {
					if(($num = mysqli_num_rows($result)) > 0) {
						$b0 = @mysqli_fetch_assoc($result);
						$secahead = " (" . (time() - intval($b0['t_timestamp']/1000)) . $res_000031 . ")";
						$tLocation = $b0['n_latitude'] . "," . $b0['n_longitude'];
					}
				}
				echo "    	<li><h3>" . $userIniTemp['FULLNAME'] . "</h3>\n";
				echo "    	 <p>$titleDesc</p></li>\n";
				if(isset($tStatus))
					echo "    	 <li><h3>$res_000030</h3>\n<p>" . $tStatus . "</p></li>\n";
				if(isset($tLocation))
					echo "    	 <li><a target='_blank' href='javascript:mapLink(\"" . $tLocation . "\")'><h3>$res_000022</h3>\n<p>" . $tLocation . "$secahead</p></a></li>\n";
				if(isset($userIniTemp['TELNO']) && $userIniTemp['TELNO'] != "")
					echo "    	 <li><a href='tel:" . $userIniTemp['TELNO'] . "'><h3>$res_000023</h3>\n<p>" . $userIniTemp['TELNO'] . "</p></a></li>\n";
				if(isset($userIniTemp['CELLPHONE']) && $userIniTemp['CELLPHONE'] != "")
					echo "    	 <li><a href='tel:" . $userIniTemp['CELLPHONE'] . "'><h3>$res_000024</h3>\n<p>" . $userIniTemp['CELLPHONE'] . "</p></a></li>\n";
				echo "    	 <li><a href='mailto:" . $email . "'><h3>$res_000025</h3>\n<p>$email</p></a></li>\n";
			}
		}
	}
	else if($access_card == "shared") {
		$userCards = $evoPathCard;
		if(file_exists($userCards) && $logonCardDAVlimit != "NONE") {
			$resource = trim($_REQUEST['reqCardName']);
			$uini = $userCards . "\\" . $resource;
			$email = "";
			$xdomain = "";
			if(file_exists($uini)) {
				$cardUri  = $resource;
				$cardContent = file($uini,FILE_IGNORE_NEW_LINES);
				foreach($cardContent as $line) {
					$ares = evoB2Parts(":",$line);
					if(count($ares) == 2)
					{
						$a = $ares[0];
						$b = $ares[1];
					}					
					$comps = explode(";",$a);
					$a0 = $comps[0];
					if($a0 == "EMAIL")
						$email = $b;
					if($a0 == "ADR")
						$userIniTemp['ADDRESS'] = $b;
					if($a0 == "NOTE")
						$userIniTemp['NOTE'] = $b;
					if($a == "FN")
						$userIniTemp['FULLNAME'] = $b;
					if($a == "TITLE")
						$userIniTemp['TITLE'] = $b;
					if($a == "TEL;WORK;VOICE")
						$userIniTemp['TELNO'] = $b;
					if($a == "TEL;CELL;VOICE")
						$userIniTemp['CELLPHONE'] = $b;
					if($a == "TEL;WORK;FAX:")
						$userIniTemp['FAX'] = $b;
					if($a == "URL;WORK")
						$userIniTemp['URL'] = $b;
					if($a == "ORG")
						$userIniTemp['DEPARTMENT'] = $b;
					if($a == "X-EVO-RESTRICT-DOMAIN")
						$xdomain = $b;
				}
				if($email != "" && ($xdomain == "" || $userIniArray["DOMAIN"] == $xdomain)) {
					$titleDesc = "";
					if(isset($userIniTemp['TITLE']) && $userIniTemp['TITLE'] != "")
						$titleDesc = $userIniTemp['TITLE'];
					if(isset($userIniTemp['DEPARTMENT']) && $userIniTemp['DEPARTMENT'] != "")
						$titleDesc = $titleDesc . " " . $userIniTemp['DEPARTMENT'];
					echo "    	<li><h3>" . $userIniTemp['FULLNAME'] . "</h3><p>$titleDesc</p></li>\n";
					if(isset($userIniTemp['TELNO']) && $userIniTemp['TELNO'] != "")
						echo "       <li><a href='tel:" . $userIniTemp['TELNO'] . "'><h3>$res_000023</h3>" . $userIniTemp['TELNO'] . "</a></li>\n";
					if(isset($userIniTemp['CELLPHONE']) && $userIniTemp['CELLPHONE'] != "")
						echo "    	 <li><a href='tel:" . $userIniTemp['CELLPHONE'] . "'><h3>$res_000024</h3>" . $userIniTemp['CELLPHONE'] . "</a></li>\n";
					if(isset($userIniTemp['FAX']) && $userIniTemp['FAX'] != "")
						echo "       <li><a href='fax:" . $userIniTemp['FAX'] . "'><h3>$res_000026</h3>" . $userIniTemp['FAX'] . "</a></li>\n";
					if(isset($userIniTemp['ADDRESS']) && $userIniTemp['ADDRESS'] != "")
						echo "       <li><a target='_blank' href='javascript:mapLink(\"" . $userIniTemp['ADDRESS'] . "\");'><h3>$res_000028</h3>" . $userIniTemp['ADDRESS'] . "</a></li>\n";
					if(isset($userIniTemp['URL']) && $userIniTemp['URL'] != "")
						echo "       <li><a href='" . $userIniTemp['URL'] . "' target='_blank'><h3>$res_000027</h3>" . $userIniTemp['URL'] . "</a></li>\n";
					if(isset($userIniTemp['NOTE']) && $userIniTemp['NOTE'] != "")
						echo "       <li><h3>$res_000029</h3>" . $userIniTemp['NOTE'] . "</li>\n";
					echo "       <li><a href='mailto:" . $email . "'><h3>$res_000025</h3>" . $email . "</a></li>\n";
				}
			}
		}
	}
	unset($userIniTemp);
?>
  	</ul>
  </div>
</div>
<?php } ?>
</body>
</html>