<?php
include "inc_common.php";
// begin of ajax handler
session_start();
if(isset($_REQUEST['data']) == false)
	jsonDie("fail","missing data.");
$json_data = stripcslashes($_REQUEST['data']);
$json_obj  = json_decode($json_data,true);
$json_raw  = array();
if($json_obj == null)
	jsonDie("fail","unable to decode json.");
foreach($json_obj as $key => $value) { // p,n don't touch
	$type = substr($key,0,1);
	$json_raw[$key] = $value;
	if($type == 't') // plain text
		$json_obj[$key] = "'" . fixI($value) . "'";
	else if($type == 'd') // date
		$json_obj[$key] = fixIDate($value);
	else if($type == 'h') // html text
		$json_obj[$key] = "'" . fixIDesc($value) . "'";
}

// setting session
/*
if(isset($json_raw['t_session']))
	session_id($json_raw['t_session']);
else
	jsonDie("fail","No available session." . $json_raw['t_session']);
*/

// switching commands
$rid = -1;
if($json_obj['p_command'] == 'GPS_UPDATE') {
	$SQL = "INSERT INTO location_records (rid,t_timestamp,n_latitude,n_longitude,t_username,t_domain) VALUES (NULL," . $json_obj['n_timestamp'] . "," . $json_obj['n_latitude'] . "," . $json_obj['n_longitude'] . "," . $json_obj['t_username'] . "," . $json_obj['t_domain'] . ");";
	$result = mysqli_query($link,$SQL);
	if($result)
		jsonDie("success","Last update on $today_full");
	else
		jsonDie("fail","unable to insert");
} else if($json_obj['p_command'] == 'STATUS_UPDATE') {
	$SQL = "SELECT * FROM user_status WHERE t_username LIKE " . $json_obj['t_username'] . " LIMIT 0,1;";
	$result = mysqli_query($link,$SQL);
	$num = mysqli_num_rows($result);
	if($num > 0) {
		$a = @mysqli_fetch_assoc($result);
		$rid = $a["rid"];
	}
	if($rid == -1)
		$SQL = "INSERT INTO user_status (rid,t_timestamp,n_status,t_username,t_domain) VALUES (NULL," . $json_obj['n_timestamp'] . "," . $json_obj['n_status'] . "," . $json_obj['t_username'] . "," . $json_obj['t_domain'] . ");";
	else
		$SQL = "UPDATE user_status SET t_timestamp=" . $json_obj['n_timestamp'] . ",n_status=" . $json_obj['n_status'] . " WHERE rid=" . $rid . ";";
	$result = mysqli_query($link,$SQL);
	if($result) {
		$rid = mysqli_insert_id($link);
		if(is_numeric($rid) == false)
			jsonDie("fail",$SQL);
		else
			jsonDie("success","Last update on $today_full");
	}
	else
		jsonDie("fail",$SQL);
} else if($json_obj['p_command'] == 'FILEBASE_DELETE_FILE') {
	if(is_numeric($json_obj['n_rid']) == false)
		jsonDie("fail","Invalid input value. " . $json_obj['n_rid']);
	$SQL = "SELECT * FROM files WHERE rid = " . $json_obj['n_rid'] . " LIMIT 0,1;";
	$result = mysqli_query($link,$SQL);
	$num = mysqli_num_rows($result);
	if($num > 0) {
		$b0 = @mysqli_fetch_assoc($result);
	} else {
		jsonDie("fail","No such file.");
	}
	if($b0['ownerMode'] == 1 && $b0['ownerId'] != $_SESSION['username'])          // private
		jsonDie("fail","access denied to delete privately-owned file: " . $b0['ownerId'] . " != " . $_SESSION['username']);
	if($b0['ownerMode'] == 2 && $b0['ownerDept'] != $_SESSION['logonDepartment']) // department
		jsonDie("fail","access denied to delete this department-owned file: " . $b0['ownerDept'] . " != " . $_SESSION['logonDepartment'] );
	if($b0['ownerMode'] == 2 && $b0['ownerId'] != $_SESSION['username'])          // department - not author
		jsonDie("fail","access denied to delete this department-owned file: " . $b0['ownerId'] . " != " . $_SESSION['username']);
	if($b0['ownerMode'] == 3 && $b0['ownerDomain'] != $_SESSION['logonDomain'])   // department
		jsonDie("fail","access denied to delete this domain-owned file: " . $b0['ownerDomain'] . " != " . $_SESSION['logonDomain']);
	if($b0['ownerMode'] == 3 && $b0['ownerId'] != $_SESSION['username'])          // domain - not author
		jsonDie("fail","access denied to delete this domain-owned file: " . $b0['ownerId'] . " != " . $_SESSION['username']);
	if($b0['ownerMode'] == 4 && $b0['ownerId'] != $_SESSION['username'])          // bbs
		jsonDie("fail","access denied to delete this bbs entry: " . $b0['ownerId'] . " != " . $_SESSION['username']);		
	$file = $b0['path'];
	if($file != "") {
	if(unlink($file) == false)
		jsonDie("fail","File could not be deleted.");
	}
	$SQL = "DELETE FROM files WHERE rid=" . $json_obj['n_rid'] . ";";
	$result = mysqli_query($link,$SQL);
	if($result) {
		$rid = mysqli_insert_id($link);
		if(is_numeric($rid) == false)
			jsonDie("fail",$SQL);
		else {
			jsonDie("success",$res_000103);
		}
	}
	else
		jsonDie("fail",$SQL);
} else if($json_obj['p_command'] == 'FILEBASE_SHARE_FILE') {
	if(is_numeric($json_obj['n_rid']) == false)
		jsonDie("fail","Invalid input value. " . $json_obj['n_rid']);
	$SQL = "SELECT * FROM files WHERE rid = " . $json_obj['n_rid'] . " LIMIT 0,1;";
	$result = mysqli_query($link,$SQL);
	$num = mysqli_num_rows($result);
	if($num > 0) {
		$b0 = @mysqli_fetch_assoc($result);
	} else {
		jsonDie("fail","No such file.");
	}
	if($b0['ownerMode'] == 1 && $b0['ownerId'] == $_SESSION['username']); // pass
	else
		jsonDie("fail","access denied to share this file: " . $b0['ownerId'] . " != " . $_SESSION['username']);
	$SQL = "UPDATE files SET accessKey = '" . substr(hash("sha256",$b0['createTime']),4,8) . "' WHERE rid = " . $json_obj['n_rid'] . ";";
	$result = mysqli_query($link,$SQL);
	if($result) {
		$rid = mysqli_insert_id($link);
		if(is_numeric($rid) == false)
			jsonDie("fail",$SQL);
		else {
			jsonDie("success",$res_000106);
		}
	}
	else
		jsonDie("fail",$SQL);
} else if($json_obj['p_command'] == 'FILEBASE_UNSHARE_FILE') {
	if(is_numeric($json_obj['n_rid']) == false)
		jsonDie("fail","Invalid input value. " . $json_obj['n_rid']);
	$SQL = "SELECT * FROM files WHERE rid = " . $json_obj['n_rid'] . " LIMIT 0,1;";
	$result = mysqli_query($link,$SQL);
	$num = mysqli_num_rows($result);
	if($num > 0) {
		$b0 = @mysqli_fetch_assoc($result);
	} else {
		jsonDie("fail","No such file.");
	}
	if($b0['ownerMode'] == 1 && $b0['ownerId'] == $_SESSION['username']); // pass
	else
		jsonDie("fail","access denied to share this file: " . $b0['ownerId'] . " != " . $_SESSION['username']);
	$SQL = "UPDATE files SET accessKey = '' WHERE rid = " . $json_obj['n_rid'] . ";";
	$result = mysqli_query($link,$SQL);
	if($result) {
		$rid = mysqli_insert_id($link);
		if(is_numeric($rid) == false)
			jsonDie("fail",$SQL);
		else {
			jsonDie("success",$res_000106);
		}
	}
	else
		jsonDie("fail",$SQL);
}
?>