<?php
session_start();
include "inc_common.php";
?><!DOCTYPE html>
<html>
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title><?php echo $toolns . " " . $ver; ?></title>
<?php p($jqInc ); ?>
</head>
<script type="text/javascript">
var logonUser = '';
var logonDomain = '';
var showAlertMessage = null;
<?php
$loggedIn = 0;
$logonDomain = "";
$logonDepartment = "";

if(isset($_SESSION['loggedIn']) && $_SESSION['loggedIn'] == 1)
{
	$loggedIn = $_SESSION['loggedIn'];
	echo 'logonUser = "' . $_SESSION['username'] . "\";\n";
	echo 'logonDomain = "' . $_SESSION['logonDomain'] . "\";\n";
}
?>
<?php if($loggedIn == 1) { ?>

$(document).bind('mobileinit',function() {
});

$(document).bind('pageinit',function() {
});
<?php } ?>
$(document).ready(function() { // DOM is ready
	if(showAlertMessage)
		alert(showAlertMessage);
});
</script>
<body>
<?php if($loggedIn == 0) { ?>
<div data-role="page">
  <div data-role="header" data-position="fixed">
  	<h3><? p($res_000020); ?></h3>
  </div>
  <div data-role="content">
  	<p><? p($res_000021); ?></p>
  </div>
</div>
<?php } else {  ?>
<div data-role="page" id="filelist">
<?php
	if((isset($_REQUEST["ownerMode"]) == false) || ($_REQUEST["ownerMode"] < 0 || $_REQUEST["ownerMode"] > 4))
		die("no ownerMode");
	$oMode = $_REQUEST["ownerMode"];
	$size_info = "";
	if($oMode == 1) {
		$SQL = "SELECT SUM(size) AS Val_Sum FROM files WHERE (ownerId LIKE '" . $_SESSION['username'] . "' AND ownerMode = " . $oMode . " AND rootRid IS NULL) ORDER BY displayName ASC;";
		$result = mysqli_query($link,$SQL);
		if($result) {
			$b0 = @mysqli_fetch_assoc($result);
			if(isset($b0['Val_Sum'])) {
				if($quota_mb > 0)
					$size_info = sprintf(" %.2f/%d MB",$b0['Val_Sum']/(1024*1024),$quota_mb);
				else
					$size_info = sprintf(" %.2f MB",$b0['Val_Sum']/(1024*1024));
			}
		}
	}
	
	
?>
  <div data-role="header" data-position="fixed">
  	<button data-icon="arrow-l" onclick="javascript:window.location = 'index.php?page=files#files';"><?php p($res_000019); ?></button>
	<h3><?php p($folderType[$oMode] . $size_info); ?></h3>
  </div>
  <div data-role="content">
    <ul data-role="listview" data-filter="true">
<?php
	$SQL = "";
	if($oMode == 1)
		$SQL = "SELECT * FROM files WHERE (ownerId LIKE '" . $_SESSION['username'] . "' AND ownerMode = " . $oMode . " AND rootRid IS NULL) ORDER BY displayName ASC;";
	else 	if($oMode == 2)
		$SQL = "SELECT * FROM files WHERE (ownerDept LIKE '" . $_SESSION['logonDepartment'] . "' AND ownerMode = " . $oMode . " AND rootRid IS NULL) ORDER BY displayName ASC;";
	else 	if($oMode == 3)
		$SQL = "SELECT * FROM files WHERE (ownerDomain LIKE '" . $_SESSION['logonDomain'] . "' AND ownerMode = " . $oMode . " AND rootRid IS NULL) ORDER BY displayName ASC;";
	else 	if($oMode == 0 || $oMode == 4)
		$SQL = "SELECT * FROM files WHERE (ownerMode = " . $oMode . " AND rootRid IS NULL) ORDER BY displayName ASC;";
	$setArrayOriginal = array();
	$result = mysqli_query($link,$SQL);
	if($result) {
		if(($num = mysqli_num_rows($result)) > 0) {
			for($i=0;$i<$num;$i++) {
				$b0 = @mysqli_fetch_assoc($result);
				$rid = $b0['rid'];
				if(isset($setArrayOriginal[$rid]) == false)
					$setArrayOriginal[$rid] = 1;
				$SQL2 = "SELECT count(rid) FROM files WHERE (rid=$rid OR rootRid=$rid);";
				$result2 = mysqli_query($link,$SQL2);
				if($result2) {
					$tmp = mysqli_fetch_row($result2);
					$num2 = $tmp[0];
					if($num2 > 1)
						$counter_str = "<span class='ui-li-count'>$num2</span>";
					else
						$counter_str = "";
						echo "    	<li><a href='fileBaseView.php?detail=" . $b0['rid'] . "' data-ajax='false'><h3>" . $b0['displayName'] . "</h3><p>" . $b0['description']  . "</p><p>123</p>$counter_str</a></li>\n";
				}
			}
		}
	}
	// 2nd round
	if($oMode == 1)
		$SQL = "SELECT * FROM files WHERE (ownerId LIKE '" . $_SESSION['username'] . "' AND ownerMode = " . $oMode . " AND rootRid IS NOT NULL) ORDER BY displayName ASC;";
	else 	if($oMode == 2)
		$SQL = "SELECT * FROM files WHERE (ownerDept LIKE '" . $_SESSION['logonDepartment'] . "' AND ownerMode = " . $oMode . " AND rootRid IS NOT NULL) ORDER BY displayName ASC;";
	else 	if($oMode == 3)
		$SQL = "SELECT * FROM files WHERE (ownerDomain LIKE '" . $_SESSION['logonDomain'] . "' AND ownerMode = " . $oMode . " AND rootRid IS NOT NULL) ORDER BY displayName ASC;";
	else 	if($oMode == 0 || $oMode == 4)
		$SQL = "SELECT * FROM files WHERE (ownerMode = " . $oMode . " AND rootRid IS NOT NULL) ORDER BY displayName ASC;";
	$result = mysqli_query($link,$SQL);
	$setArray = array();
	if($result) {
		if(($num = mysqli_num_rows($result)) > 0) {
			for($i=0;$i<$num;$i++) {
				$b0 = @mysqli_fetch_assoc($result);
				$rootrid = $b0['rootRid'];
				if(isset($setArray[$rootrid]) == false)
					$setArray[$rootrid] = 1;
				else
				{
					$setArray[$rootrid]++;
					continue;
				}
				if(isset($setArrayOriginal[$rootrid]))
					continue;
				$SQL2 = "SELECT count(rid) FROM files WHERE (rootRid=$rootrid);";
				$result2 = mysqli_query($link,$SQL2);
				if($result2) {
					$tmp = mysqli_fetch_row($result2);
					$num2 = $tmp[0];
					if($num2 > 1)
						$counter_str = "<span class='ui-li-count'>$num2</span>";
					else
						$counter_str = "";
						echo "    	<li><a href='fileBaseView.php?detail=" . $rootrid . "' data-ajax='false'><h3>" . $b0['displayName'] . "</h3><p>" . $b0['description']  . "</p>$counter_str</a></li>\n";
				}
			}
		}
	}
?>
  	</ul>
  </div>
</div>
<?php } ?>
</body>
</html>