<?php
	// customization area
	$extra_link        = "";
	$extra_title       = "";
	$extra_description = "";
	$extra_logo        = "";

	$ClientLang = "en-us";
	if(isset($_SERVER['HTTP_ACCEPT_LANGUAGE']))
	{
		$LangA = explode ( "," , $_SERVER['HTTP_ACCEPT_LANGUAGE']);
		$ClientLang = strtolower( $LangA[0] );
	}
	if($ClientLang == "zh-tw" || $ClientLang == "zh-hk" || $ClientLang == "zh")
	{
		$res_ec0001 = "開源的 WebMail 客戶端，已設定完成搭配 EVO Mail Server 使用";
		$res_ec0002 = "用戶端工具，能夠進行帳戶設定，通訊錄查詢，狀態設定等功能";
		$res_ec0003 = "EVO 行動伴侶"; // EVO mobile supplements
		$res_ec0004 = "套件"; // Packages
		$res_ec0005 = "網站";
		$res_ec0006 = "https://www.evo-mailserver.com.tw/";
		$res_ec0007 = "拜訪 EVO郵件伺服器 官方網站，獲取軟體的最新消息及技術資訊";
	}
	else if($ClientLang == "zh-cn")
	{
		$res_ec0001 = "开源的 WebMail 客户端，已设定完成搭配 EVO Mail Server 使用";
		$res_ec0002 = "客户端工具，能够进行帐户设定，通讯簿查询，状态设定等功能";
		$res_ec0003 = "EVO 行动伴侣";
		$res_ec0004 = "套件";
		$res_ec0005 = "网站";
		$res_ec0006 = "https://cn.evomailserver.com/";
		$res_ec0007 = "拜访 EVO邮件服务器 官方网站，获取软件的最新消息及技术信息";
	}
	else if($ClientLang == "ja-jp" || $ClientLang == "ja")
	{
		$res_ec0001 = "WebメールクライアントからEVOメールサーバーを利用します";
		$res_ec0002 = "アカウント設定、連絡先の検索、ステータス設定をおこないます";
		$res_ec0003 = "EVO Mobile Supplements";
		$res_ec0004 = "パッケージ";
		$res_ec0005 = "ウェブサイト";
		$res_ec0006 = "https://jp.evomailserver.com/";
		$res_ec0007 = "EVOメールサーバーの公式サイトでは製品の更新情報やサポートを提供しています";
	}
	else
	{
		$res_ec0001 = "WebMail client is now ready to work with EVO Mail Server";
		$res_ec0002 = "Client tool, for account setting, addressbook search, status setting";
		$res_ec0003 = "EVO Mobile Supplements";
		$res_ec0004 = "Packages";
		$res_ec0005 = "Website";
		$res_ec0006 = "http://www.evomailserver.com/";
		$res_ec0007 = "Visit EVO Mail Server Official Website for news update and support";
	}
function p($s) {echo $s;}

?><!DOCTYPE html>
<html>
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>EVO web supplements</title>
<link rel="stylesheet" href="ec/jquery.mobile-1.4.5.css" />
<script src="ec/jquery-1.12.4.js"></script>
<script src="ec/jquery.mobile-1.4.5.js"></script></head>
<style type="text/css">
.logo {
	width: 100%;
	margin: 30px 0px;
}
</style>
</head>
<body>
<div data-role="page" id="page1">
    <div data-theme="a" data-role="header">
        <h3><?php p($res_ec0003); ?></h3>
    </div>
    <div data-role="content">
        <ul data-role="listview" data-divider-theme="b" data-inset="false">
            <li data-role="list-divider" role="heading">
                <?php p($res_ec0004); ?>
            </li>
            <li data-theme="">
                <a href="roundcube/" data-ajax="false"><h4>Roundcube WebMail</h4><p><?php p($res_ec0001); ?></p></a>
            </li>
            <li data-theme="c">
            		<a href="ec/" data-ajax="false"><h4>EVO collaborator</h4><p><?php p($res_ec0002); ?></p></a>
            </li>
            <li data-role="list-divider" role="heading">
                <?php p($res_ec0005); ?>
            </li>
<?php
	if($extra_link != "" && $extra_title != "")	{
?>
            <li data-theme="c">
                <a href="<?php p($extra_link); ?>" data-ajax="false"><h4><?php p($extra_title); ?></h4><p><?php p($extra_description); ?></p></a>
            </li>
<?php
	}
?>
            <li data-theme="c">
                <a href="<?php p($res_ec0006); ?>" data-ajax="false"><h4>EVO Mail Server</h4><p><?php p($res_ec0007); ?></p></a>
            </li>
        </ul>
        <div style=" text-align:center" style="background-color: #FFF;" >
<?php
	if($extra_logo != "") {
?>
            <img class="logo" src="<?php p($extra_logo); ?>">
<?php
	} else {
?>
            <img class="logo" src="ec/img/logo_1920.png">
<?php
	}
?>
        </div>
    </div>
</div>
</body>